/*
TODO: 
1. Make items more or less the same size
   (on the search form and pref list form)
2. Do something about browse similar button.
3. Add a slider to mark "bad vs good" titles in pref list
4. There's really no need for things to overlap in the mobile view
   (or even be on different layers)
*/

body {
  font-family: "IBM Plex Sans";
}

/** Input Forms **/
.big-form > input[type=text],
.big-form > input[type=url],
select {
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
}

.big-form > div {
  display: flex;
  width: 100%;
} 

.big-form > div > input[type=text],
.big-form > div > input[type=url] {
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
}

.big-form > div > button {
  width: 3em;
  height: 3em;
  margin: 0.5em;
} 

.modal-guts > button[type=submit] {
  width: 100%;
  background-color: #4CAF50;
  color: white;
  padding: 14px 20px;
  margin: 8px 0;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

.modal-guts > button[type=submit]:hover {
  background-color: #45a049;
}

.modal-guts {
  border-radius: 5px;
  background-color: #f2f2f2;
  padding: 20px;
}

.modal {
/*	display: none; */
	z-index: 1010;
  position: fixed;
  top: 14%;
  left: 46%;
  transform: translate(-50%, -50%);

	width: 80%;
  max-width: 600px;

  max-height: 100%;
}

.modal-component[data-open=false] {
  display: none;
}

button.modal-close {
  position: absolute;
  right: 0;
  top: 0;
  width: var(--header-height);
  height: var(--header-height);
  background: none;
  outline: none;
  border: none;
  cursor: pointer;
}

.modal-guts {
  position: absolute;
  top: 0;
  /*left: 12%;*/
  width: 100%;

  /* spacing as needed */

  /* let it scroll */
  overflow: auto; 
}
.modal-overlay {
  z-index: 1000;

  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;

	background: rgba(0,0,0,0.5);
}


/*****/

body {
  background-color: rgb(252, 252, 255);
  --header-height: 50px;
  --header-color: rgb(147, 207, 147);
  --fob-color: rgb(147, 227, 147, 0.8);
  --fob-radius: 55px;
}

main {
  margin: var(--header-height) 0 0 0;
}

/** HEADER **/

header {
  z-index: 3;
}

.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: var(--header-height);
  background: var(--header-color);
  display: flex;
}

.header > button {
  width: var(--header-height);
  flex-shrink: 0;
  background: none;
  outline: none;
  border: none;
  cursor: pointer;
}

.search-form {
  width: 100%;
  height: 100%;
}

.search-text {
  height: calc(var(--header-height) - 0.5em);
  background: rgba(255, 255, 255, 0.8);
  min-width: 50%;
}

/** USER PROFILE MENU **/
.dropdown:hover .dropdown-content {
  display: block;
}
.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
}

.dropdown-content .label {
  cursor: default;
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  background-color: #e4f0e4;
  display: block;
  text-align: left;
}
.dropdown-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  text-align: left;
}
.dropdown-content a:hover {background-color: #f1f1f1;}

/** HEADER END **/

/** PANELS **/

@media only screen and (min-width: 550px) {
  /* don't need to toggle on bigger screens */
  #btnPref {
    display: none;
  }

  .fob {
    display: none;
  }
}

@media only screen and (max-width: 550px) {
  .search-form {
    display: flex;
  }

  .search-text {
    flex-grow: 1;
  }

  /* by default, display items */
  :root {
    --body-overflow: auto;
    --prefs-transform: translateX(100%);
  }
  :root[data-active_panel='items'] {
    --body-overflow: auto;
    --prefs-transform: translateX(100%);
  }
  :root[data-active_panel='prefs'] {
    --body-overflow: hidden;
    --prefs-transform: translateX(0);
  }

  body {
    overflow: var(--body-overflow);
  }

  .item {
    width: 100vw;
  }

  #prefs-panel {
    display: block;
    z-index: 2;
    position: fixed;
    width: 100%;
    height: 100%;
    /*top: var(--header-height);*/
    top: 0;
    right: 0;
    transform: var(--prefs-transform);
    transition: transform 0.6s;
    background: #ffffff;
    overflow: auto;
    /*position: absolute;
    top: 10px;
    left: 100vw;*/
  }
  
  .scroll {
    height: 100%;
    margin: var(--header-height) 0 0 0;
  }

  .pref-level {
    justify-content: center;
  }

  .items {
    justify-content: center;
  }

  .draggable-mirror {
    z-index: 9999;
    top: 0;
    transform: none;
    transition: none;
    position: relative;
  }

  .pref-level {
    overflow: hidden;
  }

  /** FOB Button **/
  .fob {
    z-index: 2;
    position: fixed;
    bottom: 20px;
    right: 20px;
    height: var(--fob-radius);
    width: var(--fob-radius);
    border-radius: var(--fob-radius);
    flex-shrink: 0;
    background: var(--fob-color);
    outline: none;
    border: none;
    cursor: pointer;
  }

  /** WIP: do we even need FOB?? What for? **/
  .fob {
    display: none;
  }
}

@media only screen and (min-width: 550px) {
  .panel {
    flex: 1;
  }
  .panels {
    display: flex;
    flex-direction: row;
    column-gap: 10px;
  }

  #items-panel {
    flex: 2;
  }

  #prefs-panel {
    flex: 3;
  }
}

@media only screen and (min-width: 1450px) {
  main, header, .header {
    padding: 0 3.6vw 0 3.6vw;
  }
}

@media only screen and (min-width: 2450px) {
  main, header, .header {
    padding: 0 10vw 0 10vw;
  }
}

.items {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-content: flex-start;
}

.item {
  box-shadow: 0 3px 4px grey;
  background-color: rgba(242, 242, 242, 0.9);
  border-radius: 5px;
  margin: 4px;
  height: 8em;
  width: 20em;

  display: flex;
  flex-direction: row;
}

.handle {
  cursor: move;
}

.item-img {
  border-radius: 5px 0 0 5px;
}

.item-text {
  text-align: center;
  padding: 3px;
  word-break: break-word;
  width: 100%;
  height: 100%;
}

.item-text > .title {
  display: block;
  width: 100%;
  height: 100%;
}

a{
  color:blue;
  text-decoration: none;
  font: 15px arial, sans-serif;
}

/*
a:focus{
  color:black;
}
a:hover{
  color:black;
}
*/

.item:hover {
  box-shadow: 3px 3px 10px grey;
}

.pref {
  margin: 0;
}

.pref-sections {
  display: block;
  height: 100%;
}

.pref-good {
  background: linear-gradient(to bottom,
    rgba(0,240,0,0.4) 20%,
    rgb(255,192,203, 0.4) 100%);
  border-left: 2px solid #F2E1C1;
  border-right: 2px solid #F2E1C1;
  border-top: 2px solid #F2E1C1;
  border-bottom: 1px solid #555555;
}

.pref-bad {
  background: linear-gradient(to bottom,
    rgb(255,192,203, 0.4) 20%,
    rgba(240,0,0,0.4) 100%);
  border-left: 2px solid #B97A95;
  border-right: 2px solid #B97A95;
  border-bottom: 2px solid #B97A95;
  border-top: 2px solid #555555;
}

.pref-level {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-content: flex-start;
  margin: 1px;
  min-height: 4em;
  box-shadow: inset 0 0 5px grey;
}

.pref-insert-after {
  background-color: rgba(242, 242, 251, 0.5);
  min-height: 20px;
  padding: 4px;
}

.primary-button {
  background-color: rgb(196, 250, 202);
  width: 100%;
  border: 0;
  height: 4em;
  padding: 10px;
  margin-top: 15px;
  transition-duration: 0.4s;
}

.primary-button:hover {
  background-color: rgb(180, 250, 170);
}

.primary-button:active {
  background-color: #59aa59;
}

.sortable-ghost {
  opacity: 0.8; /* make the drop placeholder slightly transparent */
}

.pref .draggable-container--over {
  background-color: rgba(250,100,100,0.9);
}

.items.draggable-container--over {
  background-color: rgba(250,100,100,0.4);
}
